# -*- coding: utf-8 -*-

from utils.redis.connect import r
from utils.redis.rkeys import GUEST_ENTRANCE_CONTROL_INFO


def set_guest_entrance_control(gen):
    """ 设置游客入口控制 """
    r.setjson(GUEST_ENTRANCE_CONTROL_INFO % gen.src, gen.data)
    return gen.data


def get_guest_entrance_control(src=0):
    """ 获取游客入口控制 """
    return r.getjson(GUEST_ENTRANCE_CONTROL_INFO % src)


def delete_guest_entrance_control(src=0):
    """ 删除游客入口控制 """
    return r.delete(GUEST_ENTRANCE_CONTROL_INFO % src)
